Summary:        Vulkan Header files and API registry
Name:           vulkan-headers
Version:        1.3.280.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Headers
Source0:        %{url}/archive/refs/tags/vulkan-sdk-%{version}.tar.gz

BuildRequires:  cmake3 gcc
BuildArch:      noarch

%description
This package provides Vulkan Header files and API registry.

%prep
%autosetup -n Vulkan-Headers-vulkan-sdk-%{version}

%build
%cmake3 -DCMAKE_INSTALL_LIBDIR=%{_libdir}
%cmake_build

%install
%cmake_install

%files
%license LICENSE.md
%doc README.md
%{_includedir}/vulkan/
%{_includedir}/vk_video/
%dir %{_datadir}/vulkan/
%dir %{_datadir}/cmake/VulkanHeaders/
%{_datadir}/vulkan/registry/
%{_datadir}/cmake/VulkanHeaders/*.cmake


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.280.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.280.0-2
- Rebuilt for loongarch release

* Wed May 08 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.3.280.0-1
- Upgrade to version 1.3.280.0 for ffmpeg 7.0.

* Tue Dec 19 2023 luffyluo <luffyluo@tencent.com> - 1.3.268.0-1
- Upgrade to version vulkan-sdk-1.3.268.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.250.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 1.3.250.0-1
- update to 1.3.250.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.239.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.239.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.239.0-1
- upgrade to 1.3.239.0

* Tue Nov 29 2022 cunshunxia <cunshunxia@tencent.com> - 1.3.235-1
- upgrade to 1.3.235

* Wed Sep 21 2022 Shuo Wang <abushwang@tencent.com> - 1.3.224.0-1
- initial build
